## examl 3.0.18

=== debian/changelog ===
examl (3.0.18-2) unstable; urgency=medium

  * Fix cut-n-pasto in d/rules (thanks for the patch to Chris Lamb
    <lamby@debian.org>)
    Closes: #855480
  * Restrict build to intel architectures
    Closes: #855430

 -- Andreas Tille <tille@debian.org>  Wed, 22 Feb 2017 12:06:12 +0100

examl (3.0.18-1) unstable; urgency=medium

  * Initial release (Closes: #855402)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Feb 2017 15:28:51 +0100
