=== debian/control ===
Source: examl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               libopenmpi-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/examl.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/examl.git
Homepage: https://github.com/stamatak/ExaML

Package: examl
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openmpi-bin
Description: Exascale Maximum Likelihood (ExaML) code for phylogenetic inference
 Exascale Maximum Likelihood (ExaML) is a code for phylogenetic inference
 using MPI. This code implements the popular RAxML search algorithm for
 maximum likelihood based inference of phylogenetic trees.
 .
 ExaML is a strapped-down light-weight version of RAxML for phylogenetic
 inference on huge datasets. It can only execute some very basic
 functions and is intended for computer-savvy users that can write little
 perl-scripts and have experience using queue submission scripts for
 clusters. ExaML only implements the CAT and GAMMA models of rate
 heterogeneity for binary, DNA, and protein data.
 .
 ExaML uses a radically new MPI parallelization approach that yields
 improved parallel efficiency, in particular on partitioned multi-gene or
 whole-genome datasets. It also implements a new load balancing algorithm
 that yields better parallel efficiency.
 .
 It is up to 4 times faster than its predecessor RAxML-Light and scales
 to a larger number of processors.
