## examl 3.0.20

=== debian/changelog ===
examl (3.0.20-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sat, 10 Feb 2018 19:25:43 +0100
