=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libopenmpi-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/examl.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/examl.git
 Homepage: https://github.com/stamatak/ExaML
