=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

MFILES:=$(shell cd examl && ls *.gcc)
SRCDIR:=examl

%:
	dh $@  --sourcedirectory=$(SRCDIR)

override_dh_auto_clean:
	dh_auto_clean
	for mfile in $(MFILES); do $(MAKE) --directory=$(SRCDIR) -f $${mfile} clean ; done
	$(MAKE) --directory=parser -f Makefile.SSE3.gcc clean

override_dh_auto_build:
	dh_auto_build
	for mfile in $(MFILES); do $(MAKE) --directory=$(SRCDIR) -f $${mfile} ; done
	$(MAKE) --directory=parser -f Makefile.SSE3.gcc
