## examl 3.0.21

=== debian/changelog ===
examl (3.0.21-3) unstable; urgency=medium

  * Team upload.
  * Use the SIMD Everywhere library for greater portability.
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 09:07:09 +0100

examl (3.0.21-2) unstable; urgency=medium

  * export OMPI_MCA_rmaps_base_oversubscribe=1 in autopkgtest script
    Closes: #902848

 -- Andreas Tille <tille@debian.org>  Mon, 02 Jul 2018 11:32:28 +0200

examl (3.0.21-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jun 2018 13:10:46 +0200
