=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libopenmpi-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/examl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/examl.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/examl
+Vcs-Git: https://salsa.debian.org/med-team/examl.git
 Homepage: https://github.com/stamatak/ExaML
 
 Package: examl
-Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64 hurd-i386
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          openmpi-bin
