=== debian/watch ===
version=4

https://github.com/stamatak/ExaML/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
