## examl 3.0.22

=== debian/changelog ===
examl (3.0.22-6) unstable; urgency=medium

  * d/control: migrate to mpi-default-* (Closes: #1084904, #1086909)
  * d/patches/*: normalize dep3 header, notably Last-Update timestamp.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Nov 2024 12:07:58 +0100

examl (3.0.22-5) unstable; urgency=medium

  * Add missing include
    Closes: #1066386
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Apr 2024 16:21:07 +0200

examl (3.0.22-4) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Fix clean target
    Closes: #1044839

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2024 18:29:57 +0100

examl (3.0.22-4~0exp) experimental; urgency=medium

  * Team upload.
  * Experimental rebuild with SIMDe 0.7.3~0git20230118123246.d1e75cd

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Jan 2023 17:17:02 +0100

examl (3.0.22-3) unstable; urgency=medium

  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jan 2022 18:00:33 +0100

examl (3.0.22-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * The SIMDe patch has been forwarded upstream.

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 07:31:05 +0200

examl (3.0.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * For GPL compliance, document libsimde-dev usage and version number via
    Built-Using
  * Refresh hardening patch, almost all of it was applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Jun 2020 16:09:49 +0200

examl (3.0.21-4) unstable; urgency=medium

  * Team upload.
  * Switch to libsimde-dev and simplify our patch
  * Standards-Version: 4.5.0 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Improve hardening, no more BLHC compliants

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 13:35:53 +0200
