=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: examl
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               libopenmpi-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13),
+               mpi-default-dev,
+               libsimde-dev,
+               debhelper
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/examl
 Vcs-Git: https://salsa.debian.org/med-team/examl.git
 Homepage: https://github.com/stamatak/ExaML
+Rules-Requires-Root: no
 
 Package: examl
 Architecture: any
+Built-Using: ${simde:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         openmpi-bin
+         mpi-default-bin
 Description: Exascale Maximum Likelihood (ExaML) code for phylogenetic inference
  Exascale Maximum Likelihood (ExaML) is a code for phylogenetic inference
  using MPI. This code implements the popular RAxML search algorithm for
