=== debian/rules ===
--- 
+++ 
@@ -24,12 +24,13 @@
 		dh_auto_clean -- SFX=-$${SIMD} ; \
 		$(MAKE) --directory=parser -f Makefile.SSE3.gcc SFX=-$${SIMD} clean ; \
 	done
-	dh_auto_clean 
+	dh_auto_clean
 	$(MAKE) --directory=parser -f Makefile.SSE3.gcc clean
 else
 	dh_auto_clean
 	$(MAKE) --directory=parser -f Makefile.SSE3.gcc clean
 endif
+	find examl -executable -type f -delete
 
 override_dh_auto_build:
 	dh_auto_build
@@ -51,11 +52,11 @@
 		find . -name '*.o' -delete ; \
 	done
 	$(MAKE) --directory=$(SRCDIR) -f Makefile.AVX.gcc
-	$(MAKE) --directory=$(SRCDIR) -f Makefile.OMP.AVX.gcc 
+	$(MAKE) --directory=$(SRCDIR) -f Makefile.OMP.AVX.gcc
 	$(MAKE) --directory=parser -f Makefile.SSE3.gcc
 else
 	$(MAKE) --directory=$(SRCDIR) -f Makefile.AVX.gcc
-	$(MAKE) --directory=$(SRCDIR) -f Makefile.OMP.AVX.gcc 
+	$(MAKE) --directory=$(SRCDIR) -f Makefile.OMP.AVX.gcc
 	$(MAKE) --directory=parser -f Makefile.SSE3.gcc
 endif
 
@@ -78,3 +79,6 @@
 else
 	dh_install examl/{examl,examl-OMP} parser/parse-examl /usr/bin/
 endif
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"
