=== debian/watch ===
version=4

https://github.com/stamatak/ExaML/tags .*/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
